
def test_config():
    r"""
    >>> from config import parse_config

    >>> config = [
    ...     "server_host = 'foo'",
    ...     "server_port = 1234",
    ...     "domain = 'gadget.foo'",
    ...     "password = 'secret'",
    ...     "roster_path = 'gadget.roster'",
    ...     ]

    >>> d = parse_config(config)
    >>> d['domain']
    'gadget.foo'
    >>> d['server_port']
    1234

    >>> parse_config([])
    Traceback (most recent call last):
    ...
    RuntimeError: required configuration value 'server_host' not found

    >>> parse_config(['server_host = 3'])
    Traceback (most recent call last):
    ...
    RuntimeError: expecting a <type 'str'> for configuration value 'server_host', but got a <type 'int'>
    """

